#include "rb_plugin.h"

static void HighlightRect(REALgraphics context, int left, int top, int width, int height)
{
	Rect r;

	REALSelectGraphics(context);
	SetRect(&r, left, top, left + width, top + height);
	LMSetHiliteMode(LMGetHiliteMode() & 127);
	InvertRect(&r);
}

REALmethodDefinition HighlightRectDefn = {
	(REALproc) HighlightRect,
	REALnoImplementation,
	"HighlightRect(g As Graphics, left as integer, top as integer, width as integer, height as integer)"
};

void PluginEntry(void)
{
	REALRegisterMethod(&HighlightRectDefn);
}
