struct EffectData
{
	OSType theEffectType;
	QTAtomContainer fEffectDescription;
};

struct EffectSequenceData
{
	OSType theEffectType;
	QTAtomContainer fEffectDescription;

	ImageDescriptionHandle	fSampleDescription;
	ImageSequence fEffectSequenceID;

	REALpicture pic1, pic2;

	ImageDescriptionHandle fGW1Desc;
	ImageDescriptionHandle fGW2Desc;
	GWorldPtr fGW1, fGW2;

	Boolean fGW1owned, fGW2owned;

	TimeBase fTimeBase;
	long frames;
	long lastFrame, currentFrame;

	GWorldPtr fDest;
	REALpicture destPicture;
};

void BuildSMPTEEffect(EffectData *data, int id);
void BuildCrossFadeEffect(EffectData *data);

void BuildEffectSquence(EffectSequenceData *data, EffectData *effect, REALpicture pic1, REALpicture pic2, int frames);
void BuildEffectSequenceFrame(EffectSequenceData *data, int frame);
